--
--
--
--
--

local MuttonBehavior = (require 'game.behaviors.FoodBehavior'):extend('MuttonBehavior', {
	bitesRemaining = 1
})

function MuttonBehavior:onBite(boy)
	Game.sound:play(Game.assets.audio.chunch, "sfx")
	self.bitesRemaining = self.bitesRemaining - 1
	Game.particles:moveTo(self.parent.x, self.parent.y)
	Game.particles:emit(50)
	
	if(self.bitesRemaining == 0) then
		--
		-- Get this bitch outta here.
		--
		Game.ecs.entities:remove(self.parent)
		boy:get('BoyBehavior').eating = nil
		boy.stats.hungerSaturation = 0.01
		boy.stats.emotions.bully = boy.stats.emotions.bully - 50
		Game.particles:moveTo(self.parent.x, self.parent.y)
		Game.particles:emit(500)
	end
	
	return self.bitesRemaining
end

return MuttonBehavior