--
--
--
--
--

local Neutriangle = Game.ecs.entity:extend('Neutriangle', {
	behaviorList = {'FoodBehavior'},
	componentList = {'Hitbox', 'Sprite', 'Item'},
	componentOptions = {
		Sprite = {
			imageData = Game.assets.images.neutriangle,
			origin = {
				x = 0.5,
				y = 0.8
			}
		},
		Item = {
			id = Game.definitions.Items.NEUTRIANGLE,
			type = Game.definitions.ItemType.FOOD
		}
	},
	foodBehavior = 'FoodBehavior'
})

return Neutriangle