--
--
--
--
--

local Peppyhedron = Game.ecs.entity:extend('Peppyhedron', {
	behaviorList = {'PeppyhedronBehavior'},
	componentList = {'Hitbox', 'Sprite', 'Item'},
	componentOptions = {
		Sprite = {
			imageData = Game.assets.images.peppyhedron,
			offset = {
				x = 0.5,
				y = 0.7
			}
		},
		Item = {
			id = Game.definitions.Items.PEPPYHEDRON,
			type = Game.definitions.ItemType.FOOD,
			stats = {
				peppy = 15,
				hunger = 3
			}
		},
		hitbox = {
			width = 100,
			height = 100
		}
	},
	foodBehavior = 'PeppyhedronBehavior'
})

return Peppyhedron