---
--
--
--
--

local ItemTrackingSystem = Game.ecs.system:extend('ItemTrackingSystem', {
	
})

function ItemTrackingSystem:update(dt)
	Game.state.objects = {}
	Game.state.trash = {}
	Game.state.food = {}
	Game.state.foodCount = 0
end

function ItemTrackingSystem:process(entity, dt)
	table.insert(Game.state.objects, entity)
	
	if(entity.Item.type == Game.definitions.ItemType.TRASH) then
		table.insert(Game.state.trash, entity)
	end
	
	if(entity.Item.type == Game.definitions.ItemType.FOOD) then
		table.insert(Game.state.food, entity)
		Game.state.foodCount = Game.state.foodCount + 1
	end
end

function ItemTrackingSystem:filter(entity)
	return (entity.Item ~= nil)
end

return ItemTrackingSystem