--
--
--
--
--

local MouseBehavior = Game.ecs.behavior:extend('MouseBehavior', {
	lastParticle = 0,
})

function MouseBehavior:wake(dt)
	print('mouse up')
	self.parent.hitbox.width = 3
	self.parent.hitbox.height = 3
end

function MouseBehavior:update(dt)
	self.parent.x = Game.mouse.x - 1
	self.parent.y = Game.mouse.y - 1
	
	Game.particles:moveTo(self.parent.x, self.parent.y)
	
	if(self.parent.mode.clicked) then
		Game.particles:emit(math.random(1, 10))
	end
end

function MouseBehavior:onLeftClick()
	Game.particles:emit(math.random(1, 5) * 10)
end

function MouseBehavior:onRightClick()

end

function MouseBehavior:onMouseUp()
	print('No longer emitting particles.')
end

function MouseBehavior:draw(dt)
	
end

return MouseBehavior