--
--
--
--
--

local FoodBehavior = (require 'game.behaviors.FoodBehavior'):extend('PeppyhedronBehavior', {
	bitesRemaining = 3
})

function FoodBehavior:onBite(boy)
	Game.sound:play(Game.assets.audio.chunch, "sfx")
	self.bitesRemaining = self.bitesRemaining - 1
	Game.particles:moveTo(self.parent.x, self.parent.y)
	Game.particles:emit(50)
	
	for key, value in pairs(self.parent.Item.stats) do
		boy.stats.emotions[key] = boy.stats.emotions[key] + value
	end
	
	if(self.bitesRemaining == 0) then
		self:onFinish(dt, boy)
	end
	
	return self.bitesRemaining
end

function FoodBehavior:onFinish(dt, boy)
	--
	-- Get this bitch outta here.
	--
	Game.ecs.entities:remove(self.parent)
	boy:get('BoyBehavior').eating = nil
	Game.particles:moveTo(self.parent.x, self.parent.y)
	Game.particles:emit(500)
end

return FoodBehavior