--
--
--
--
--

local Neutriangle = Game.ecs.entity:extend('Bepsi', {
	behaviorList = {'FoodBehavior'},
	componentList = {'Hitbox', 'Sprite', 'Item'},
	componentOptions = {
		Sprite = {
			imageData = Game.assets.images.bepsi,
			origin = {
				x = 0.5,
				y = 0.8
			}
		},
		Item = {
			id = Game.definitions.Items.BEPSI,
			type = Game.definitions.ItemType.FOOD,
			stats = {
				hunger = -5,
				peppy = 10,
				bully = -50,
				rancorous = -25,
			}
		}
	},
	foodBehavior = 'FoodBehavior'
})

return Neutriangle