--
--
-- a "boy"
-- care of your boy and he will care of you back
--
--

local Boy = Game.ecs.entity:extend('Boy', {
	stats = {
		name = 'Boy',
		clicks = 0,
		emotionMax = 100,
		hungerSaturation = 0.05,
		emotionList = {'chummy', 'peppy', 'hunger', 'favor', 'bully', 'rancorous'},
		emotions = {
			chummy 		= 13,
			hunger	 	= 13,
			favor 		= 0,
			bully		= 13,
			peppy 		= 0,
			rancorous	= 13
		},
		boyState = Game.definitions.BoyState.EGG,
		evolutionLevel = -1,
		evolutionPath = 0
	},
	behaviorList = {
		'BoyBehavior', 'AnimationBehavior'
	},
	componentList = {
		'Hitbox'
	}
})

Boy.Sprite = Game.ecs.component('Sprite')
Boy.Sprite.imageData = Game.assets.images.boys.egg
Boy.Sprite.origin.y = 1

Boy.x = 250
Boy.y = 150

return Boy