--
--
--
--
--

local Item = Game.ecs.entity:extend('Item', {
	behaviorList = {'ItemBehavior'},
	componentList = {'Hitbox'}
})

Item.Sprite = Game.ecs.component('Sprite')
Item.Sprite.imageData = Game.assets.images.perfectly_generic_object
Item.Sprite.origin.y = 0.8

Item.Item = Game.ecs.component('Item')
Item.Item.type = Game.definitions.ItemType.TOY

return Item