--
--
--
--
--

local Mutton = Game.ecs.entity:extend('Mutton', {
	behaviorList = {'MuttonBehavior'},
	componentList = {'Hitbox', 'Sprite', 'Item'},
	componentOptions = {
		Sprite = {
			imageData = Game.assets.images.mutton
		},
		Item = {
			id = Game.definitions.Items.MUTTON,
			type = Game.definitions.ItemType.FOOD
		}
	},
	foodBehavior = 'MuttonBehavior'
})

return Mutton